Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://ai-loop.alpeadria.com/api/v1/datalake/{source}/databases/{db}/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newVariables": [
"<string>"
],
"renames": [
{
"from": "<string>",
"to": "<string>"
}
]
}
'import requests
url = "https://ai-loop.alpeadria.com/api/v1/datalake/{source}/databases/{db}/variables"
payload = {
"newVariables": ["<string>"],
"renames": [
{
"from": "<string>",
"to": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newVariables: ['<string>'], renames: [{from: '<string>', to: '<string>'}]})
};
fetch('https://ai-loop.alpeadria.com/api/v1/datalake/{source}/databases/{db}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusMessage": "[AILOOP] Variables added. Matched 100, modified 100 documents."
}Modify the schema of a collection by adding new null-initialized fields or renaming existing ones.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Variables updated successfully.